estimator_fsk.h File Reference
`#include <gnuradio/block.h>`
`#include <radar/api.h>`

Go to the source code of this file.

## Classes

class | gr::radar::estimator_fsk

This block estimates the range with peaks given from a FSK spectrum. Needed identifiers (symbols) are 'frequency' and 'phase'. The velocity is calculated with the 'frequency' information and the doppler formula. The phase of the doppler peaks are used to estimate the range. Output identifier are 'range' and 'velocity'. If push_power is true the information about the power of the peaks is pushed through. This can be used for estimating the RCS of an object. More...

## Namespaces

namespace | gr
namespace | gr::radar